Uploaded image for project: 'Couchbase Server'
  1. Couchbase Server
  2. MB-8100

installer error on missing dependencies (centos5.8). tried other vm on same OS. worked fine.

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 2.1.0
    • Fix Version/s: 2.1.0
    • Component/s: installer
    • Security Level: Public
    • Labels:
      None

      Description

      rpm -i couchbase-server-enterprise_x86_64_2.0.2-764-rel.rpm

      [root@grape-016 maria]# hostname
      grape-016
      [root@grape-016 maria]#

      Tried installing build 2.0.2 build 764. failed with the following missing dependencies.
      i tried in another vm. install succeeded.

      [root@grape-016 maria]# cat /etc/release
      [root@grape-016 maria]# rm -rf /opt/couchbase/
      [root@grape-016 maria]# rpm -i couchbase-server-enterprise_x86_64_2.0.2-764-rel.rpm
      error: Failed dependencies:
      libc.so.6()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libc.so.6(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libc.so.6(GLIBC_2.3)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libc.so.6(GLIBC_2.3.2)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libc.so.6(GLIBC_2.3.4)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libc.so.6(GLIBC_2.4)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libcrypt.so.1()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libcrypto.so.6()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libdl.so.2()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libdl.so.2(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libgcc_s.so.1()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libgcc_s.so.1(GCC_3.0)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libm.so.6()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libm.so.6(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libncurses.so.5()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libnsl.so.1()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libpthread.so.0()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libpthread.so.0(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libpthread.so.0(GLIBC_2.3.2)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libresolv.so.2()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      librt.so.1()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      librt.so.1(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libssl.so.6()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libstdc++.so.6()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libstdc++.so.6(CXXABI_1.3)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libstdc++.so.6(CXXABI_1.3.1)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libstdc++.so.6(GLIBCXX_3.4)(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libutil.so.1()(64bit) is needed by couchbase-server-2.0.2-764.x86_64
      libutil.so.1(GLIBC_2.2.5)(64bit) is needed by couchbase-server-2.0.2-764.x86_64

      ----------------

      [root@cen-1910 ~]# rpm -i couchbase-server-enterprise_x86_64_2.0.2-764-rel.rpm
      Minimum RAM required : 4 GB
      System RAM configured : 8174464 kB

      Minimum number of processors required : 4 cores
      Number of processors on the system : 4 cores

      Starting couchbase-server[ OK ]

      You have successfully installed Couchbase Server.
      Please browse to http://cen-1910:8091/ to configure your server.
      Please refer to http://couchbase.com for additional resources.

      Please note that you have to update your firewall configuration to
      allow connections to the following ports: 11211, 11210, 11209, 4369,
      8091, 8092 and from 21100 to 21299.

      By using this software you agree to the End User License Agreement.
      See /opt/couchbase/LICENSE.txt.

      No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

        Hide
        maria Maria McDuff (Inactive) added a comment -

        anil to chk the sys reqt's.

        Show
        maria Maria McDuff (Inactive) added a comment - anil to chk the sys reqt's.
        Hide
        anil Anil Kumar added a comment -

        Here is the documentation for hardware requirements that are recommended for installation. http://www.couchbase.com/docs/couchbase-manual-2.0/couchbase-getting-started-prepare-hardware.html

        Show
        anil Anil Kumar added a comment - Here is the documentation for hardware requirements that are recommended for installation. http://www.couchbase.com/docs/couchbase-manual-2.0/couchbase-getting-started-prepare-hardware.html
        Hide
        maria Maria McDuff (Inactive) added a comment -

        this is hw reqt's. where are the sw or system requirements?
        i meet this hw reqt's for installation.

        Show
        maria Maria McDuff (Inactive) added a comment - this is hw reqt's. where are the sw or system requirements? i meet this hw reqt's for installation.
        Hide
        anil Anil Kumar added a comment -

        Supported Platform http://www.couchbase.com/docs/couchbase-manual-2.0/couchbase-getting-started-prepare-platforms.html check the instructions to install openssl before installing couchbase.

        Show
        anil Anil Kumar added a comment - Supported Platform http://www.couchbase.com/docs/couchbase-manual-2.0/couchbase-getting-started-prepare-platforms.html check the instructions to install openssl before installing couchbase.

          People

          • Assignee:
            maria Maria McDuff (Inactive)
            Reporter:
            maria Maria McDuff (Inactive)
          • Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Gerrit Reviews

              There are no open Gerrit changes